Back to Home
Developer Resources

API Documentation

Integrate sERPFALL ranking data into your applications. RESTful API with comprehensive endpoints for keywords, domains, and alerts.

Quick Start

1. Get API Key

Generate your API key from the dashboard under Settings → API Access.

2. Authenticate

Include your API key in the Authorization header as a Bearer token.

3. Make Requests

Call our RESTful endpoints to retrieve rankings, add keywords, or manage alerts.

Authentication

Authorization: Bearer YOUR_API_KEY

All API requests require authentication. Include your API key in the Authorization header. API keys are available on Pro and Agency plans.

Endpoints

MethodEndpointDescription
GET/api/v1/keywordsList all tracked keywords with current rankings
POST/api/v1/keywordsAdd new keywords to track
GET/api/v1/keywords/:id/historyGet ranking history for a specific keyword
GET/api/v1/domainsList all tracked domains
POST/api/v1/domainsAdd a new domain to track
GET/api/v1/alertsList recent rank change alerts

Code Examples

cURL

curl -X GET "https://api.serpfall.com/api/v1/keywords" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Node.js

const response = await fetch('https://api.serpfall.com/api/v1/keywords', {
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
  }
});
const keywords = await response.json();

Python

import requests

response = requests.get(
    'https://api.serpfall.com/api/v1/keywords',
    headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
keywords = response.json()

PHP

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api.serpfall.com/api/v1/keywords');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer YOUR_API_KEY',
    'Content-Type: application/json'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
$keywords = json_decode($response, true);

Rate Limits

PlanRequests/minRequests/day
Pro6010,000
Agency12050,000
EnterpriseCustomUnlimited

Ready to Integrate?

Get your API key and start building with sERPFALL data.

Get API Access